#ifndef __QDOFFSCREEN__
#include <QDOffscreen.h>
#endif


typedef struct WindowOffscreen {
	GWorldPtr	mMacGWorld;
	Rect		mBounds;
	CGrafPtr	mSavePort;
	GDHandle	mSaveDevice;
} WindowOffscreen;


WindowOffscreen *DrawOffscreen(const Rect *inBounds, WindowPtr theWindow);
void DrawOnscreen(WindowOffscreen *theOffscreen);
WindowOffscreen *DrawOffscreenNoInitialize(const Rect *inBounds, WindowPtr theWindow);

WindowOffscreen *DrawOffscreenSaved(WindowOffscreen *inOffscreen, const Rect *inBounds, WindowPtr theWindow);
void DrawOnscreenSave(WindowOffscreen *theOffscreen);
void DisposeOffscreen(WindowOffscreen *theOffscreen);


