#include "MBEvents.h"
#include <Serial.h>
#include "MBPackets.h"

static short	gRefNum;


OSErr	MB_Init()
{
	OSErr		err = noErr;
	
	err = OpenDriver("\p.BOut",&gRefNum);
	if(err == noErr){
		SerReset(gRefNum,baud57600 + stop10 + noParity + data8);
		
	}
	
	return err;

}



void	MB_Close()
{
	CloseDriver(gRefNum);

}

OSErr	MB_SendKeyEvent(const EventRecord& inEvent)
{
	OSErr			err = noErr;

	MBPacket		header = {kMBMagic,sizeof(EventRecord)};
	
	long			count = sizeof(MBPacket);
	err = FSWrite(gRefNum,&count,&header);
	if(err == noErr){
		count = sizeof(EventRecord);
		err = FSWrite(gRefNum,&count,&inEvent);
	}
	
	
	return err;
}

