#ifndef _ASMHELPERS_
#define _ASMHELPERS_

/*********************************************************************

	AsmHelpers
	
	Here are a few helper functions that can be changed if we
	need to compile under a different compilers
	
	These are set up for MetroWerks
	
	AUTHORS:	Bill Hubauer (BH)
	
	HISTORY:
		WHEN		WHO		WHAT
		----		---		----
		1/95		BH		Created
	
**********************************************************************/


static asm long GetA0()
{
	move.l a0,d0
	rts
}

static asm long GetA1()
{
	move.l a1,d0
	rts
}

static asm void SetA1(long:__D0)
{
	move.l d0,a1
	rts
}

static asm long GetA5()
{
	move.l a5,d0
	rts
}

static asm long _GetA4()
{
	move.l a4,d0
	rts
}

static asm long GetD0()
{
	rts
}

static asm void SetD0(long:__D0)
{
	rts
}

long _SetA4(long:__D0):__D0 = 0xC18C;


#endif // _ASMHELPERS_