// Gavriel State 27jun97
// gav@magmacom.com

// The JNIT loader exists to load internal Jasik extensions.

// Once compiled, add the code resource to jasik, and edit the CODE 0 segment
// table to add the loader in.  There is a convienient function call that Jasik
// makes right before _InitGraf that can be subverted to run the JNIT loader.
// Remember to edit the JNITLoader code resource to call that original function!

#include <resources.h>

typedef pascal void ( *JNITFunction ) ( void );

// This code needs to be cut & pasted into Jasik in a safe place.

// Careful!

void main (void)
{
	int numJNITs = CountResources('JNIT');
	
	for (int count = 1; count <= numJNITs; count++)
	{
		Handle theJNITHandle = GetIndResource('JNIT', count);
		
		if (theJNITHandle)
		{
			// JNITs are automatically locked, but never unloaded.  Makes patching
			// easier.
			::HLock(theJNITHandle);
			JNITFunction theJNITPtr = reinterpret_cast<JNITFunction>(*theJNITHandle);
			(*theJNITPtr)();		
		}
	}	
}


