// Source code for Klingon Clock.   Copyright (C) 1996-1997
// Charles H. Hemstreet IV
//
// Started at MacHack 1996
// Completed at MacHack 1997
//
// Best thanks to:
// My wife Regie, son Chad and baby
// Other thanks to Elden Wood and Bob Clark
//
// This code is distributed "as-is" and implies no warranty or guarantee.


#ifndef __EVENTROUTINES__
#define __EVENTROUTINES__

#ifndef __ASSERT__
#include <Assert.h>
#endif

#ifndef __APPLEEVENTS__
#include <AppleEvents.h>
#endif


// DEFINES
#define kGetTALKEvent 'KTLK'
#define kTALKEventClass 'KTLK'
#define kGetTalkFREQEvent 'KFRQ'
#define kTalkFREQEventClass 'KFRQ'



// PROTOTYPES
void 			GrabAndDoEvent(void);
void 			DispatchEvent( EventRecord *macEvent);
pascal OSErr 	myHandleQUIT(AppleEvent *theAppleEvent, AppleEvent *reply, long handlerRefcon);
pascal OSErr 	myHandleRUN(AppleEvent *theAppleEvent, AppleEvent *reply, long handlerRefcon);
pascal OSErr 	myHandleTALK(AppleEvent *theAppleEvent, AppleEvent *reply, long handlerRefcon);
pascal OSErr	myHandleTalkFREQ(AppleEvent *theAppleEvent, AppleEvent *reply, long handlerRefcon);

void 	DoDeallocateEverything(void);
short 	DoInstallAEHandlers(void);
short 	DoRemoveAEHandlers(void);
void 	DoHandleQuitExtension(AppleEvent *theAppleEvent, AppleEvent *reply, long handlerRefcon);
void 	DoHandleTalkExtension(AppleEvent *theAppleEvent, AppleEvent *reply, long handlerRefcon);
void 	DoHighLevelEventExtension(const EventRecord *er);
void 	GrabAndDoEvent(void);

// EXTERNAL PROTOTYPES
extern 	OSErr DoAllPeriodicProcessing(void);



// EXTERNAL DEFINES
extern Boolean	gExitNow;
extern long 	gSleepTicks;


#endif  //__EVENTROUTINES__
