#ifndef HTTPENDPOINT_H
#define HTTPENDPOINT_H

/*------------------------------------------------------------------------------
#
#	NewsTicker, my Hack for 1997
#
#	HTTPEndPoint.h	-	Slightly derived class for reading http/HTML files
#
------------------------------------------------------------------------------*/

#include <OpenTransport.h>
#include <OpenTptInternet.h>
#include <Types.h>

#include "OTPollEndPoint.h"

class HTMLExtractor;

class HTTPEndPoint: public OTPollEndPoint
{
	private:
		HTMLExtractor* mfMyHandler;
	
	public:
	
		HTTPEndPoint( HTMLExtractor* theHandler );		//for getting a page
		virtual	~HTTPEndPoint	( void ) { }
		
		OSErr	StartGettingFile(char* address, unsigned short portnum, Idler* theIdler);
		OSErr	StartGettingHeader(char* address, unsigned short portnum, Idler* theIdler);
	
	protected:	
		virtual void HandleData (char* thestring, short numchars);
		virtual void HandleShutdown	(void);
};

#endif
