#ifndef SUBWOOFERENDPOINT_H
#define SUBWOOFERENDPOINT_H

/*------------------------------------------------------------------------------
#
#	NewsTicker, my Hack for 1997
#
#	NewsTickerEndPoint.h	-	Slightly derived class for reading http/HTML files
#
------------------------------------------------------------------------------*/

#include <OpenTransport.h>
#include <OpenTptInternet.h>
#include <Types.h>

#include "subwoofer.h"
#include "OTPollEndPoint.h"

class HTMLExtractor;
class Idler;

class SubWooferEndPoint
{
	private:
		HTMLExtractor*	mfMyHandler;
		URLReference	mfTheReference;
		Boolean			mfDataWaiting;
		Boolean			mfDoShutdown;
		Boolean			mfDoingHeader;
		
		char	mfInComingData[16384];		//data being received
		short	mfBytesReceived;
		Str255	mfModificationDate;
	
	public:
	
		SubWooferEndPoint( HTMLExtractor* theHandler );		//for getting a page
		virtual	~SubWooferEndPoint	( void );
		
		void	DoIdle(void);
		OSErr	StartGettingFile(char* address, short port, Idler* theIdler);
		OSErr	StartGettingHeader(char* address, short port, Idler* theIdler);
		OSErr	GetSubWoofHeader(Str31	ModDate);
		
		void	HandleSubWoofer(URLEvent event, const char* changed);
	
		virtual void HandleShutdown	(void);
};

#endif
