/*------------------------------------------------------------------------------
#
#	NewsTicker, my Hack for 1997
#
#	TickerGlobals.h	-	The basic data structures used by everywhere, including
#						our jGNE Hook routine
#
------------------------------------------------------------------------------*/
#ifndef TICKERGLOBALS_H
#define TICKERGLOBALS_H

#include <PLStringFuncs.h>	/* some special string handling stuff */
#include "ICAPI.h"

#include "Ticker.h"		/* bring in all the #defines for NewsTicker */

#define numWebPages 10

typedef struct {
	Boolean	hideIfEmpty;
	short	scrollingSpeed;
	Rect	winrect;
	
	Boolean	DoReadNews;
	Boolean	DoReadApple;
	Boolean	DoReadCNN;
	
	Str31	WebPageAddress[numWebPages];
	Str31	WebPageLastDate[numWebPages];
	Boolean WebPageDisplay[numWebPages];
	
	Boolean	JustShowFirstThree;
	
	} sPreferences;
	
#define maxHeadlines 100

typedef struct {
	Str255	Subject;
	Str255	URL;
	short	cicnResID;
	short	width;
	short	leftside;
	} sHeadline;
	
typedef struct {
	Rect		sPortRect;
	Rect		sCurrentCommentRect;
	Rect		sGrowRect;
	
	WindowPtr	gMyWind;
	Boolean		gWindowIsMinimized;
	
	Boolean		gDoQuit;
	Boolean		gDoZoom;
	Boolean		gDidResize;
	Boolean		IsWindowShowing;
	
	Ptr			wStorage;
	
	sHeadline	theHeadlines[maxHeadlines];
	short		MsgCount;
	short		MsgWidth;
	
	long		WhenToScroll;
	
	Point		LastClick;
	unsigned long	WhenLastClick;
	
	short		MsgToOpen;
	
	} sMyData, *sMyDataPtr, **sMyDataHdl;

/* The "g" prefix is used to emphasize that a variable is global. */

/* GInBackground is maintained by our osEvent handling routines. Any part of
   the program can check it to find out if it is currently in the background. */
extern	Boolean		gInBackground;		/* maintained by Initialize and DoEvent */
extern	Boolean		gDoneFlag;	/* Set to false, to quit next time in main evt loop */

// Our working globals
extern	sPreferences	gThePrefs;
extern	FSSpec			gPrefsSpec;
extern	sMyDataPtr		gOurGlobals;	//this has most of our continuing data,
											//so it can be accessed by our JGNE routine
#endif
