/*
	This file contains some definitions from the original internal Apple version
	of IconUtilsPriv.h that I use since they work around bugs in older systems.
*/
enum
{
	largeIcon1 = 0,
	largeIcon4,
	largeIcon8,
	smallIcon1,
	smallIcon4,
	smallIcon8,
	miniIcon1,
	miniIcon4,
	miniIcon8,
	aCIcon = 128
};

#define IconSpace (miniIcon8 + 1)
typedef struct
{
	unsigned short	type;
	unsigned short	label;
	Handle			table[IconSpace];
} IconSuite;

typedef IconSuite *IconSuitePtr;
typedef IconSuitePtr *IconSuiteHandle;
