/*
	File:		Text2Something.h

	Contains:	Sample Contextual Menu plugin

	Written by:	Kevin Hewitt & Tim Knox

	Copyright:	

*/


#pragma once


// Parent Class Include
#include "AbstractCMPlugin.h"


class Text2Something : virtual AbstractCMPlugin {

#pragma SOMReleaseOrder (Initialize, ExamineContext, HandleSelection, PostMenuCleanup)

public:

	virtual	OSStatus Initialize(
							Environment*,
							FSSpec *inFileSpec);
	virtual	OSStatus ExamineContext(
							Environment*,
							AEDesc *inContextDescriptor,
							SInt32 inTimeOutInTicks,
							AEDescList* ioCommands,
							Boolean* outNeedMoreTime);
	virtual	OSStatus HandleSelection(
							Environment*,
							AEDesc *inContextDescriptor,
							SInt32 inCommandID);
	virtual	OSStatus PostMenuCleanup(
							Environment*);

private:	
};

