// CWPApplication.cp

#ifndef CWPApplication_h
#include "CWPApplication.h"
#endif
#ifndef Application_h
#include "Application.h"
#endif
#ifndef WindowInitializer_h
#include "WindowInitializer.h"
#endif

CWPApplication::CWPApplication()
  : CommandHandler<Creating>( Focus() )
  {
  }

CWPApplication& CWPApplication::The()
  {
	static CWPApplication the;
	return the;
  }

void main()
  {
	CWPApplication::The().Run();
  }

bool CWPApplication::CanCreate() const
  {
	return true;
  }

void CWPApplication::Create()
  {
	try
	  {
		WindowInitializer initializer;
		NewCWPWindow( initializer );
	  }
	 catch ( ... )
	  {
	  }
  }

