// CWPApplication.h

#ifndef CWPApplication_h
#define CWPApplication_h

#ifndef Application_h
#include "Application.h"
#endif
#ifndef CWPMenus_h
#include "CWPMenus.h"
#endif
#ifndef Creating_h
#include "Creating.h"
#endif

class CWPWindow;
class WindowInitializer;

class CWPApplication: public Application,
							 public CWPMenus,
							 public CommandHandler<Creating>
  {
	private:
		CWPApplication();
		
	public:
		static CWPApplication& The();

		CWPWindow *NewCWPWindow( const WindowInitializer& initializer );
			// in CWPWindow.cp
		
		virtual bool CanCreate() const;
		virtual void Create();
  };

#endif
