// CWPMenus.cp

#ifndef CWPMenus_h
#include "CWPMenus.h"
#endif
#ifndef PlainMenuItem_h
#include "PlainMenuItem.h"
#endif
#ifndef Quitting_h
#include "Quitting.h"
#endif
#ifndef AppleMenu_h
#include "AppleMenu.h"
#endif
#ifndef DisabledMenuItem_h
#include "DisabledMenuItem.h"
#endif
#ifndef Creating_h
#include "Creating.h"
#endif
#ifndef Closing_h
#include "Closing.h"
#endif

CWPMenus::CWPMenus()
  {
	static AppleMenu apple( 128 );
	
	static Menu file( 129 );
		static PlainMenuItem<Creating>	newWindow	( file, &Creating::Create, &Creating::CanCreate );
		static PlainMenuItem<Closing>		close			( file, &Closing::CloseAskingToSave, &Closing::CanClose );
		static DisabledMenuItem				divider		( file );
		static PlainMenuItem<Quitting>	quit			( file, &Quitting::QuitAskingToSave, &Quitting::CanQuit );
  }
