// RootFocus.cp

#ifndef RootFocus_h
#include "RootFocus.h"
#endif

RootFocus& RootFocus::The()
  {
	static RootFocus root;
	return root;
  }

void RootFocus::Activate()
  {
	RootFocus& root( The() );
	if ( !root.Active() )
		root.Focus::Activate();
  }

void RootFocus::Deactivate()
  {
	RootFocus& root( The() );
	if ( root.Active() )
		root.Focus::Deactivate();
  }
