// WindowFocus.h

#ifndef WindowFocus_h
#define WindowFocus_h

#ifndef RootFocus_h
#include "RootFocus.h"
#endif
#ifndef ListOf_h
#include "ListOf.h"
#endif

class SubWindowFocus;

class WindowFocus: public Focus
  {
	friend class SubWindowFocus;
	
	private:
		ListOf< SubWindowFocus > subFoci;
		
	public:
		WindowFocus()
		  : Focus( below, RootFocus::The() )
		  {}
  };

#endif
