// DiskInsertionReceiver.h

#ifndef DiskInsertionReceiver_h
#define DiskInsertionReceiver_h

#ifndef DiskInsertion_h
#include "DiskInsertion.h"
#endif
#ifndef Receiver_h
#include "Receiver.h"
#endif

class DiskInsertionReceiver: public Receiver< DiskInsertion >
  {
	public:
		DiskInsertionReceiver( bool startEnabled = true );
		
		static Broadcaster<DiskInsertion>& Sender();
		
		static void Send( const DiskInsertionEvent&, OSErr initializationError );
  };

#endif
