// Data.h

#ifndef Data_h
#define Data_h

#ifndef ArrayOf_h
#include "ArrayOf.h"
#endif

class Data: public ArrayOf<uint8>
  {
	public:
		Data()		{}
		
		Data( ArrayOf<uint8> array )
		  : ArrayOf<uint8>( array )
		  {}
		
		Data( void *theStart, uint32 theLength )
		  : ArrayOf<uint8>( static_cast<uint8 *>(theStart), theLength )
		  {}
		
		uint32 operator<<( ConstArrayOf<uint8> r ) const
		  { return BitwiseCopy( r ); }
  };

#endif
