// DebugTimer.cp

#ifndef DebugTimer_h
#include "DebugTimer.h"
#endif
#ifndef __Timer__
#include <Timer.h>
#endif
#ifndef DebugMessage_h
#include "DebugMessage.h"
#endif

DebugTimer::DebugTimer()
  : start( Now() )
  {
  }

DebugTimer::~DebugTimer()
  {
	uint32 time = Now() - start;
	
	DebugMessage message;
	message += time;
	message += "\p ticks";
	message.Show();
  }

uint32 DebugTimer::Now()
  {
	return TickCount();
  }
