// BackgroundColorMaintainer.h

#ifndef BackgroundColorMaintainer_h
#define BackgroundColorMaintainer_h

#ifndef GrafPortObject_h
#include "GrafPortObject.h"
#endif

class BackgroundColorMaintainer
  {
	private:
		GrafPortObject& port;
		RGBColor old;
		
	public:
		BackgroundColorMaintainer();
		BackgroundColorMaintainer( const RGBColor& toUse );

		~BackgroundColorMaintainer()	{ Reset(); }
		
		void Reset() const;
  };

#endif
