// ForegroundColorMaintainer.h

#ifndef ForegroundColorMaintainer_h
#define ForegroundColorMaintainer_h

#ifndef GrafPortObject_h
#include "GrafPortObject.h"
#endif

class ForegroundColorMaintainer
  {
	private:
		GrafPortObject& port;
		RGBColor old;
		
	public:
		ForegroundColorMaintainer();
		ForegroundColorMaintainer( const RGBColor& toUse );

		~ForegroundColorMaintainer()	{ Reset(); }
		
		void Reset() const;
  };

#endif
