// Event.h

#ifndef Event_h
#define Event_h

#ifndef Tick_h
#include "Tick.h"
#endif

class Event
  {
	private:
		const EventRecord asReceived;
		static Tick when;

	public:
		Event( const EventRecord& event );

		static Tick When()									{ return when; }
		
		const EventRecord& AsReceived() const			{ return asReceived; }
		
		virtual bool CanAppend() const					{ return 0; }
		virtual bool Append( const EventRecord& )		{ return 0; }
		
		virtual void Respond() const						{}
  };

#endif
