// MouseEvent.h

#ifndef MouseEvent_h
#define MouseEvent_h

#ifndef UserEvent_h
#include "UserEvent.h"
#endif
#ifndef PointObject_h
#include "PointObject.h"
#endif

class MouseEvent: public UserEvent
  {
	private:
		PointObject where;
		
	public:
		MouseEvent( const EventRecord& event );
		
		const PointObject& Where() const		{ return where; }
  };

#endif
