// UserEvent.cp

#ifndef UserEvent_h
#include "UserEvent.h"
#endif

bool UserEvent::shift = 0;
bool UserEvent::control = 0;
bool UserEvent::option = 0;
bool UserEvent::command = 0;
bool UserEvent::capsLock = 0;

bool UserEvent::rightShift = 0;
bool UserEvent::rightControl = 0;
bool UserEvent::rightOption = 0;

UserEvent::UserEvent( const EventRecord& event )
  : Event( event )
  {
	shift				= (event.modifiers & shiftKey) != 0;
	control			= (event.modifiers & controlKey) != 0;
	option			= (event.modifiers & optionKey) != 0;
	command			= (event.modifiers & cmdKey) != 0;
	capsLock			= (event.modifiers & alphaLock) != 0;

	rightShift		= (event.modifiers & rightShiftKey) != 0;
	rightControl	= (event.modifiers & rightOptionKey) != 0;
	rightOption		= (event.modifiers & rightControlKey) != 0;
  }
