// UserEvent.h

#ifndef UserEvent_h
#define UserEvent_h

#ifndef Event_h
#include "Event.h"
#endif

class UserEvent: public Event
  {
	private:
		static bool shift;
		static bool control;
		static bool option;
		static bool command;
		static bool capsLock;

		static bool rightShift;
		static bool rightControl;
		static bool rightOption;
		
	public:
		UserEvent( const EventRecord& );
		
		static bool Shift()				{ return shift; }
		static bool Control()			{ return control; }
		static bool Option()				{ return option; }
		static bool Command()			{ return command; }
		static bool CapsLock()			{ return capsLock; }
		
		static bool RightShift()		{ return rightShift; }
		static bool RightControl()		{ return rightControl; }
		static bool RightOption()		{ return rightOption; }
  };

#endif
