// FileLoop.h

#ifndef FileLoop_h
#define FileLoop_h

#ifndef CatInfo_h
#include "CatInfo.h"
#endif

class FileLoop
  {
	private:
		Directory directory;
		uint16 index;
		bool finished;
		
		CatInfo info;
	
		void GetInfo();
		static DirectoryID GetDirectoryID( );
		
	public:
		FileLoop( Directory );
		
		bool Finished() const					{ return finished; }
		bool Unfinished() const					{ return !finished; }
		
		void operator++();
		void operator++(int)						{ operator++(); }
		
		const CatInfo& operator*() const		{ return info; }
		const CatInfo *operator->() const	{ return &info; }
  };

#endif
