// VolumeID.h

#ifndef VolumeID_h
#define VolumeID_h

#ifndef Integers_h
#include "Integers.h"
#endif

class VolumeID
  {
	private:
		int16 refNum;
	
		VolumeID( int16 value )
		  : refNum( value )
		  {}
		
	public:
		static VolumeID Make( int16 value )		{ return value; }
	
		int16 RefNum() const							{ return refNum; }
		
		bool operator==( VolumeID f ) const		{ return refNum == f.refNum; }
		bool operator!=( VolumeID f ) const		{ return refNum != f.refNum; }
  };

#endif
