// FontNumber.cp

#ifndef FontNumber_h
#include "FontNumber.h"
#endif

FontNumber FontNumber::Make( int16 value )
  {
	if ( value == systemFont )
		return System();

	if ( value == applFont )
		return Application();
	
	return value;
  }

FontNumber FontNumber::System()
  {
	static int16 font = GetSysFont();
	return font;
  }

FontNumber FontNumber::Application()
  {
	static int16 font = GetAppFont();
	return font;
  }
