// ScriptID.h

#ifndef ScriptID_h
#define ScriptID_h

#ifndef Integers_h
#include "Integers.h"
#endif

class ScriptID
  {
	private:
		ScriptCode id;
	
		ScriptID( ScriptCode value )
		  : id( value )
		  {}
		
	public:
		static ScriptID Make( ScriptCode value )		{ return value; }
	
		static ScriptID System();
		
		static ScriptID Roman()						{ return smRoman; }
		
		ScriptCode ID() const						{ return id; }
		
		bool operator==( ScriptID s ) const		{ return id == s.id; }
		bool operator!=( ScriptID s ) const		{ return id != s.id; }
  };

#endif
