// PeriodicMethod.h

#ifndef PeriodicMethod_h
#define PeriodicMethod_h

#ifndef MethodOf_h
#include "MethodOf.h"
#endif
#ifndef Periodic_h
#include "Periodic.h"
#endif

template < class Target >
class PeriodicMethod: public MethodOf< Target >,
							 public Periodic
  {
	public:
		PeriodicMethod( Target *t,
							 MemberType m,
							 uint32 period,
							 bool startEnabled = true )
		  : MethodOf<Target>( t, m ),
			 Periodic( *this, period, startEnabled )
		  {}
  };

#endif
