// RootPane.cp

#ifndef RootPane_h
#include "RootPane.h"
#endif
#ifndef WindowObject_h
#include "WindowObject.h"
#endif
#ifndef RegionObject_h
#include "RegionObject.h"
#endif

RootPane::RootPane( WindowObject& theWindow )
  {
	SetBounds( theWindow.LocalBounds() );
	MapTo( theWindow );
  }

void RootPane::Clip( RegionObject& region ) const
  {
	region &= Window().VisibleRegion();
  }

void RootPane::UpdateBounds()
  {
	SetBounds( Window().LocalBounds() );
  }
