// ProgressWindow.h

#ifndef ProgressWindow_h
#define ProgressWindow_h

#ifndef Window_h
#include "Window.h"
#endif
#ifndef GrowArrangement_h
#include "GrowArrangement.h"
#endif
#ifndef GrayWhiteView_h
#include "GrayWhiteView.h"
#endif
#ifndef ProgressView_h
#include "ProgressView.h"
#endif

class ProgressWindow: public Window
  {
	private:
		GrowArrangement root;
		ProgressView bar;
		GrayWhiteView right;
		GrayWhiteView bottom;
		
	public:
		ProgressWindow( const WindowInitializer&,
							 const Progress& );
  };

ProgressWindow *NewProgressWindow( const WindowInitializer&,
											  const Progress& );

#endif
