// SolidView.cp

#ifndef SolidView_h
#include "SolidView.h"
#endif
#ifndef ForegroundColorMaintainer_h
#include "ForegroundColorMaintainer.h"
#endif
#ifndef ViewMap_h
#include "ViewMap.h"
#endif

void SolidView::Draw( const ViewMap& map ) const
  {
	ForegroundColorMaintainer cm( ForegroundColor() );
	PaintRect( &map.Bounds() );
  }

void SolidView::ForegroundColorChanged()
  {
	ViewMap( *this ).Invalidate();
  }
