// ===========================================================================
//	LIconPane.h				   1995-1996 Metrowerks Inc. All rights reserved.
// ===========================================================================
//
//	Pane which draws a single icon from an icon family

#ifndef _H_LIconSuitePane
#define _H_LIconSuitePane
#pragma once

#if defined(__CFM68K__) && !defined(__USING_STATIC_LIBS__)
	#pragma import on
#endif

#include <LPane.h>
#include "IconSuitePatches.h"


class	LIconSuitePane : public LPane {
public:
	enum { class_ID = 'icnS' };
	static LIconSuitePane*	CreateIconPaneStream(LStream *inStream);
	
						LIconSuitePane();
						LIconSuitePane(
								const SPaneInfo		&inPaneInfo,
								ResIDT				inIconID);
						LIconSuitePane(
								LStream				*inStream);
	virtual				~LIconSuitePane();
	
	void				SetIconID(
								Handle inIconSuiteH );

	virtual void		DrawSelf();
								
protected:
	Handle				mIconSuiteH;
};


class	LIconRefPane : public LPane {
public:
	enum { class_ID = 'icnR' };
	static LIconRefPane*	CreateIconRefPaneStream(LStream *inStream);
	
						LIconRefPane();
						LIconRefPane(
								const SPaneInfo		&inPaneInfo,
								ResIDT				inIconID);
						LIconRefPane(
								LStream				*inStream);
	virtual				~LIconRefPane();
	
	void				SetIconID(
								IconRef iconRef );

	virtual void		DrawSelf();
								
protected:
	IconRef				mIconRef;
};


#if defined(__CFM68K__) && !defined(__USING_STATIC_LIBS__)
	#pragma import reset
#endif

#endif