/*
	File:		TestWinBoot.c
	
	Contains:	Tests the winboot hack

	Written by:	Eric Traut

	Date:		6/25/97

*/

#include <Resources.h>
#include <Memory.h>

typedef void ResourceMainProc(void);

void
main(void)
{
	Handle				codeResource;
	ResourceMainProc*	mainEntry;
	
	codeResource = Get1Resource('INIT', 500);
	if (codeResource == NULL)
		DebugStr("\pCode resource not found");
	
	DetachResource(codeResource);
	
	MoveHHi(codeResource);
	HLock(codeResource);
	
	mainEntry = (ResourceMainProc*)*codeResource;
	(*mainEntry)();
}






