#pragma once


class	ScreenMatrix
{
	public:
		ScreenMatrix();
		
		
		Boolean	DrawChar(long inRow,long inCol,char inChar);

		void	ScrollArea();
		void	Sync();
		
		long	ScrollAreaHeight();
		Ptr		GetIndRow(long inIndex,long& outSize);
		enum{
			kWidth = 104,
			kHeight = 50,
			
			kFirstScrollCol = 14,
			kBottomScrollRow = 44,
			kCommandRow = 49
		};
	private:
		Ptr		CalcStart(long inCol,long inRow);
		void	CopyRow(long	fromRow,long toRow);
		void	RefreshScrollArea();
		// 49 X 104
		
		
		char		fMatrix[kHeight][kWidth];
		
		
		long		fLastScrollWriteCol;
		long		fLastCommandWriteCol;
		Boolean		fInvalidQ;
		long		fSyncCount;
		long		fScrollCount;

};