// Source code for Klingon Clock.   Copyright (C) 1996-1997
// Charles H. Hemstreet IV
//
// Started at MacHack 1996
// Completed at MacHack 1997
//
// Best thanks to:
// My wife Regie, son Chad and baby
// Other thanks to Elden Wood and Bob Clark
//
// This code is distributed "as-is" and implies no warranty or guarantee.


#ifndef __MAIN__
#define __MAIN__

#ifndef __SOUND__
#include <Sound.h>
#endif

#ifndef __INIT__
#include "init.h"
#endif

#ifndef __MAINUTIL__
#include "mainUtil.h"
#endif

#ifndef __EVENTROUTINES__
#include "EventRoutines.h"
#endif


#define kNumberSounds 13 // this is also in SoundUtils.h !!


// PROTOTYPES
void InitApp(void);
void RunApp(void);
void QuitApp(void);

// external prototypes


// necessary snd globals
Ptr					gTheSoundData[kNumberSounds];
SndChannelPtr		gSndChannel;
Boolean				gChannelOpen;
long				gSleepTicks = 600;   // about 10 seconds
Boolean				gExitNow;

#endif  //__MAIN__
