// Source code for Klingon Clock.   Copyright (C) 1996-1997
// Charles H. Hemstreet IV
//
// Started at MacHack 1996
// Completed at MacHack 1997
//
// Best thanks to:
// My wife Regie, son Chad and baby
// Other thanks to Elden Wood and Bob Clark
//
// This code is distributed "as-is" and implies no warranty or guarantee.


#ifndef __SPEECHUTIL__
#define __SPEECHUTIL__

#ifndef __ASSERT__
#include <Assert.h>
#endif




// EXTERNAL PROTOTYPES
extern OSErr 	openSndChannel(void);
extern OSErr 	LoadBufferSounds(void);
extern void		waitCloseChannel(void);
extern OSErr	doPlayASound (short soundID, short priority);

// prototypes
OSErr 	speakSentence(short *, short *, short *);
OSErr 	makeSentence(short *, short *, short *, short *);
OSErr 	doSuccessSound(void);

enum timeLength
{
	kNone,
	kHours,
	kHoursMinutes,
	kHrMinSecond
};

enum eSounds
{
	kZero,
	kOne,
	kTwo,
	kThree,
	kFour,
	kFive,
	kSix,
	kSeven,
	kEight,
	kNine,
	kTen,
	kKaplah,
	kTime
};

#define kPriority 0


#endif //__SPEECHUTIL__
