/* File: Globals.h */
#include "prefs.h"

#ifdef STORAGE
#define	EXTERN	
#else
#define EXTERN	extern
#endif

EXTERN	long		gSystemMenuAddress;	
EXTERN	long		gDrawMenuBarAddress;
EXTERN	long		gMenuSelectAddress;
EXTERN	long		gMenuKeyAddress;
EXTERN	long		gNewMenuAddress;
EXTERN	Boolean		gPatchDrawMenuBar;			/* Is it OK to patch DMB? (FALSE if an error disables us) */

EXTERN	MenuHandle	gScriptMenuHandle;			/* Our menu, as skanky as it is */
EXTERN	Boolean		gMenuInstalled;				/* Have we set up our menu yet? */
EXTERN	Str255		gMenuString;				/* Built-in commands for our menu */
EXTERN	Str255		gScriptNotFoundStr;			/* "Missing folder or scripts" message */
EXTERN	Str255		gScriptOpenFolderStr;		/* String for opening the folder! */
EXTERN	Str255		gScriptOpenFolder2Str;		/* String for opening the folder! */

EXTERN	Str255		gUniversalNameStr;			
EXTERN	Str255		gFinderNameStr;
EXTERN	Str255		gAppendStr;

EXTERN	Handle		gIconSuite;					/* The icon suite for the title of our menu */
EXTERN	short		gNumSpecialCommands;		/* This is the count of built-commands we handle */
EXTERN	short		gNumGlobalCommands;			/* This is the number of commands in the '****' folder */
EXTERN	short		gNumLocalCommands;			/* This is the number of app-specific commands */

EXTERN	short		gCurrAppRefNum;				/* RefNum of the current app last time we looked */
EXTERN	OSType		gCurrAppSignature;			/* Signature of the current app last time we looked */

EXTERN	Str255		gScriptFolderName;			/* The name of our scripts folder */
EXTERN	Boolean		gScriptFolderFound;			/* Do we know where our script folder is? */
EXTERN	short		gScriptFolderVolID;			/* The location of our scripts folder */
EXTERN	unsigned long		gScriptFolderModDate;		/* When was the script folder last modified? */
EXTERN	long		gScriptFolderDirID;			/* The location of our scripts folder */

EXTERN	FSSpec		gGlobalFolder;				/* The folder which contains our "global" scripts */
EXTERN	FSSpec		gAppFolder;					/* The folder which contains our app-specific scripts */
EXTERN	unsigned long		gGlobalFolderModDate;		/* When was the script folder last modified? */
EXTERN	unsigned long		gAppFolderModDate;			/* When was the script folder last modified? */


EXTERN	FSSpec		gInitFSSpec;				/* An FSSpec to this file (so we can get at it later) */

EXTERN	prefsStruct			myPrefs;
EXTERN	exemStructArrayH	exemptListH;		
EXTERN	appListArrayH		appListH;

EXTERN	Boolean		gWaitForJGNE;				// are we going to execute a script at next jGNE
EXTERN	FSSpec		gGNEScriptFSSpec;			// what script to execute!

EXTERN	Boolean		gMenuSharingInitted;

EXTERN	Boolean		gRecorderActive;
EXTERN	Str255		gStartRecordingStr;
EXTERN	Str255		gStopRecordingStr;
EXTERN	Str255		gSavePrompt;
EXTERN	Str255		gSaveName;
EXTERN	long		gScriptToModifyID;
EXTERN	ComponentInstance   gASComponent;


EXTERN	Str255		gPrefsFileName;
EXTERN	Str255		gIconFileName;

EXTERN	Boolean		gSeenFrontierGNE;

EXTERN	FSSpec		gCurrentScriptFSSpec;		// currently executing script!
