#ifndef	_speech_proto_h_
#define	_speech_proto_h_


#include	<Menus.h>
#include	<Speech.h>
#include	<Windows.h>


#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */


#define	SPEECH


enum {
	kSpeechIndStringId = 23254
};


extern Boolean			gCanSpeak;
extern volatile Boolean	gDoneSpeaking;
extern short			gSelectedVoiceIndex;
extern short			gNumberVoices;
extern short			gSpeakingVoiceIndex;
extern Boolean			gSpeakSelectionEnabled;
extern SpeechChannel	gSpeechChannel;
extern OSErr			gSpeechErrors[];
extern Handle			gSpeechText;
extern VoiceSpec **		gVoices;


//void AdjustSpeechMenu(Boolean selected);
//Boolean BuildSpeechMenu(MenuHandle voicesMenu);
//void ChangeVoice(short voiceIndex);
void DoSpeechError(OSErr err);
//Boolean EqualVoiceSpec(const VoiceSpec * voice1, const VoiceSpec * voice2);
//void HandleSpeechMenu(short item);
void SpeakSelection(WindowPtr window);
void StopSpeaking(void);

//void AnnoyingSpeechMode(short w);
void SpeakStream(unsigned char *ptr, short len);


#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* _speech_proto_h_ */
