// ArrayOf.cp

#ifndef ArrayOf_h
#include "ArrayOf.h"
#endif

template < class Element >
uint32 ArrayOf< Element >::operator<<( ConstArrayType r ) const
  {
	Assert( !Null() );
	Assert( !r.Null() );
	uint32 amount = BoundedLength( r.Length() );
	
	for ( uint32 i = 0; i < amount; i++ )
		(*this)[i] = r[i];

	return amount;
  }

template < class Element >
uint32 ArrayOf< Element >::BitwiseCopy( ConstArrayType r ) const
  {
	Assert( !Null() );
	Assert( !r.Null() );
	uint32 amount = BoundedLength( r.Length() );
	BlockMoveData( r.Start(), Start(), amount );
	return amount;
  }

#include "ConstArrayOf.cp"
