// BufferOfSize.h

#ifndef BufferOfSize_h
#define BufferOfSize_h

#ifndef Buffer_h
#include "Buffer.h"
#endif

template < uint32 size >
class BufferOfSize: public Buffer
  {
	private:
		uint8 space[ size ];
	
	public:
		BufferOfSize()
		  : Buffer( Data( space, size ) )
		  {}
  };

#endif
