// ContextMaintainer.h

#ifndef ContextMaintainer_h
#define ContextMaintainer_h

#ifndef ListLink_h
#include "ListLink.h"
#endif
#ifndef ListOf_h
#include "ListOf.h"
#endif

class Context;
class ContextUser;

class ContextMaintainer
  {
	private:
		Context *old;
		ListLink<ContextMaintainer> link;
		
		static ListOf<ContextMaintainer> maintainers;
		
	public:
		ContextMaintainer();
		ContextMaintainer( Context * );
		ContextMaintainer( const ContextUser& );
		
		~ContextMaintainer();
		
		static void StopMaintaining( Context * );
  };

#endif
