// ForegroundColorMaintainer.cp

#ifndef ForegroundColorMaintainer_h
#include "ForegroundColorMaintainer.h"
#endif

ForegroundColorMaintainer::ForegroundColorMaintainer()
  : port( GrafPortObject::Current() ),
	 old( GrafPortObject::Current().ForegroundColor() )
  {
  }

ForegroundColorMaintainer::ForegroundColorMaintainer( const RGBColor& toUse )
  : port( GrafPortObject::Current() ),
	 old( GrafPortObject::Current().ForegroundColor() )
  {
	port.SetForegroundColor( toUse );
  }

void ForegroundColorMaintainer::Reset() const
  {
	port.SetForegroundColor( old );
  }
