// KeystrokeEvent.cp

#ifndef KeystrokeEvent_h
#include "KeystrokeEvent.h"
#endif
#ifndef Application_h
#include "Application.h"
#endif
#ifndef KeyMessage_h
#include "KeyMessage.h"
#endif
#ifndef UserCancelledError_h
#include "UserCancelledError.h"
#endif
#ifndef UserState_h
#include "UserState.h"
#endif

KeystrokeEvent::KeystrokeEvent( const EventRecord& event )
  : KeyEvent( event ),
	 message( Application::The().MakeKeyMessage( *this ) )
  {
  }

void KeystrokeEvent::Respond() const
  {
	try
	  {
		message.Send();
	  }
	 catch ( UserCancelledError )
	  {
	  }
	
	UserState::The().Announce();
  }
