// FileID.h

#ifndef FileID_h
#define FileID_h

#ifndef Integers_h
#include "Integers.h"
#endif

class FileID
  {
	private:
		int32 id;
	
		FileID( int32 value )
		  : id( value )
		  {}
		
	public:
		static FileID Make( int32 value )		{ return value; }
	
		int32 ID() const								{ return id; }
		
		bool operator==( FileID f ) const		{ return id == f.id; }
		bool operator!=( FileID f ) const		{ return id != f.id; }
  };

#endif
