// FileWriter.h

#ifndef FileWriter_h
#define FileWriter_h

#ifndef ConstData_h
#include "ConstData.h"
#endif

class FileAccessPath;
class ConstBuffer;

class FileWriter: private ParamBlockRec
  {
	private:
		void ThrowError( OSErr );
		
	public:
		FileWriter( const FileAccessPath&, uint32 position = 0 );
		
		uint32 Position() const				{ return ioParam.ioPosOffset; }
		void SetPosition( uint32 p )		{ ioParam.ioPosOffset = p; }
		
		void operator<<( ConstData );
		uint32 operator<<( ConstBuffer& );
  };

#endif
