// RepeatingMethod.h

#ifndef RepeatingMethod_h
#define RepeatingMethod_h

#ifndef MethodOf_h
#include "MethodOf.h"
#endif
#ifndef Repeater_h
#include "Repeater.h"
#endif

template < class Target >
class RepeatingMethod: public MethodOf< Target >,
							  public Repeater
  {
	public:
		RepeatingMethod( Target *t, MemberType m, bool startEnabled = true )
		  : MethodOf<Target>( t, m ),
			 Repeater( *this, startEnabled )
		  {}
  };

#endif
