// Scrolling.h

#ifndef Scrolling_h
#define Scrolling_h

#ifndef ContextUser_h
#include "ContextUser.h"
#endif

class Scrolling: public ContextUser
  {
	public:
		virtual void PageUp() = 0;
		virtual void PageDown() = 0;
		virtual void PageRight() = 0;
		virtual void PageLeft() = 0;

		virtual void LineUp() = 0;
		virtual void LineDown() = 0;
		virtual void LineRight() = 0;
		virtual void LineLeft() = 0;
		
		virtual void Home() = 0;
		virtual void End() = 0;
  };

#endif
