// WindowScreenPart.cp

#ifndef WindowScreenPart_h
#include "WindowScreenPart.h"
#endif
#ifndef Application_h
#include "Application.h"
#endif

WindowScreenPart::WindowScreenPart( WindowPtr theWindow,
												Clicker theClicker )
  : window( theWindow ),
	 abstraction( Application::The().LocateWindow( theWindow ) ),
	 clicker( theClicker )
  {
  }

bool WindowScreenPart::Active() const
  {
	return window == FrontWindow();
  }

void WindowScreenPart::Click( const MouseDownEvent& event ) const
  {
	( abstraction.*clicker )( event );
  }
