// HorizontalSpacer.h

#ifndef HorizontalSpacer_h
#define HorizontalSpacer_h

#ifndef SolidView_h
#include "SolidView.h"
#endif

class HorizontalSpacer: public SolidView
  {
	private:
		const uint16 width;
	
	public:
		HorizontalSpacer( uint16 theWidth,
								const RGBColor& color = NamedColors::white )
		  : SolidView( color ),
			 width( theWidth )
		  {}
		
		virtual uint16 MinimumWidth() const;
		virtual uint16 MaximumWidth() const;
		virtual uint16 BestHeight() const;
  };

#endif
