// SolidView.h

#ifndef SolidView_h
#define SolidView_h

#ifndef View_h
#include "View.h"
#endif
#ifndef HasForegroundColor_h
#include "HasForegroundColor.h"
#endif

class SolidView: public View,
					  public HasForegroundColor
  {
	private:
		virtual void ForegroundColorChanged();
		
	public:
		SolidView( RGBColor theColor = NamedColors::black )
		  : HasForegroundColor( theColor )
		  {}
		
		virtual void Draw( const ViewMap& ) const;
  };

#endif
