// TangibleView.h

#ifndef TangibleView_h
#define TangibleView_h

#ifndef View_h
#include "View.h"
#endif

class MouseDownEvent;
class MouseEvent;

class TangibleView: public View
  {
	public:
		virtual TangibleView *Touch( PointObject );
		
		virtual bool WantsActivatingClick();
		virtual void Click( PointObject, const MouseDownEvent& );
		
		virtual void MouseEntered( PointObject, const MouseEvent& );
		virtual void MouseMoved( PointObject, const MouseEvent& );
		virtual void MouseLeft();
		
		virtual void DragEntered();
		virtual void DragMoved();
		virtual void DragLeft();
  };

#endif
